<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class DebugLogFile {

        
        const TYPE = "debug-log-file";

        
        public static function render( $field ) {
                $file = "debug.log";

                $path = WP_CONTENT_DIR . DIRECTORY_SEPARATOR . $file;

                $filesize = '0 B';

                if ( file_exists( $path ) && filesize( $path ) > 0 ) {
                        $filesize = Helper::convertBytes2Hr( filesize( $path ) );
                }
                ?>

                <div>
                        <span class="text-success bse-fw-600 bse-fs-16"><?php echo esc_html( $file ); ?></span>
                        <span><?php echo esc_html( "( " . $filesize . " )" ); ?></span>
                </div>
                <?php
        }

}
