<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Post;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Base/Fields', [ __NAMESPACE__ . '\Fields', 'get' ], 1, 2 );
                
                \add_action( 'Wpie/Export/Post/Fields/Taxonomy/Excludes', [ __NAMESPACE__ . '\Fields', 'getExcludeTaxonomy' ], 1, 2 );

                \add_action( 'Wpie/Export/Base/Data', [ __NAMESPACE__ . '\DataCenter', 'processData' ], 1, 2 );

                \add_filter( 'Wpie/Export/Base/Query', [ __NAMESPACE__ . '\Engine', 'addQuery' ], 1, 2 );
        }

}
