<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Image as PostImage;

defined( 'WPIE__FILE__' ) || exit;


class Image extends PostImage {

        
        protected static function getImages() {

                $postImages = parent::getImages();

                $gallery = \get_post_meta( DataCenter::getId(), "_product_image_gallery", true );

                $images = Helper::isNonEmptyStr( $gallery ) ? array_unique( array_merge( $postImages, Helper::strToArr( $gallery ) ) ) : $postImages;

                
                return \apply_filters( 'Wpie/Export/Product/Image/Ids', $images, Settings::getContentType() );
        }

}
