<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Standard as CommentStandard;

defined( 'WPIE__FILE__' ) || exit;


class Other implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Other", 'wp-import-export' ),
                        "priority" => 60,
                        "data"     => [
                                [ 'label' => 'Karma', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_karma' ],
                                [ 'label' => 'Agent', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_agent' ],
                                [ 'label' => 'User ID', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'user_id' ],
                                [ 'label' => 'User Email', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'user_email' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Review/Fields/Other', $fields );
        }

}
