<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class NoTranslate {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Robots No Translate', 'wp-import-export' ),
                        "desc"   => __( 'Robots No Translate', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "notranslate" => [
                                        "order"      => 5,
                                        "label"      => __( 'Robots No Translate', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "notranslate" => [
                                                        "description" => __( "SEO Robots No Translate", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/advanced/notranslate/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( '1, 0, yes, no, true, false, on, off all values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
