<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Profile;

defined( 'WPIE__FILE__' ) || exit;


class AdditionalProfileUrls {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Additional profile URLs', 'wp-import-export' ),
                        "desc"   => __( 'Additional profile URLs', 'wp-import-export' ),
                        "order"  => 15,
                        "fields" => [
                                "additional_profile_urls" => [
                                        "order"      => 5,
                                        "label"      => __( 'Additional profile URLs', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "additional_profile_urls" => [
                                                        "description" => __( "Additional profile URLs", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/profile/additional_profile_urls/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
