<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute\Name;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute\Slug;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute\Type;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute\OrderBy;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute\EnableArchive;

defined( 'WPIE__FILE__' ) || exit;


class Attribute implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Attribute', 'wp-import-export' ),
                        "class"  => "wpie-attribute-fields",
                        "order"  => 15,
                        "blocks" => [
                                "attribute/name"           => Name::getBlocks(),
                                "attribute/slug"           => Slug::getBlocks(),
                                "attribute/enable_archive" => EnableArchive::getBlocks(),
                               // "attribute/type"           => Type::getBlocks(),
                                "attribute/order_by"       => OrderBy::getBlocks(),
                        ]
                ];
        }
}
