<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines\Images;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Existing as BaseExisting;

defined( 'WPIE__FILE__' ) || exit;


class Existing extends BaseExisting {

        
        protected static function set() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                $thumbnail = \get_term_meta( DataCenter::getId(), 'thumbnail_id', true );

                if ( absint( $thumbnail ) < 1 ) {
                        return;
                }

                self::$data = [
                        [ 'ID' => $thumbnail, 'post_title' => \get_the_title( $thumbnail ) ]
                ];
        }

}
