<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Amount {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Amount', 'wp-import-export' ),
                        "desc"          => __( 'Coupon Amount', 'wp-import-export' ),
                        "order"         => 40,
                        "isRecommended" => true,
                        "fields"        => [
                                "amount" => [
                                        "order"      => 10,
                                        "label"      => __( 'Coupon Amount', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "amount" => [
                                                        "description" => __( "Coupon Amount", 'wp-import-export' ),
                                                        "name"        => "fields/standard/amount/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
