<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class ExpiryDate {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Expiry Date', 'wp-import-export' ),
                        "desc"   => __( 'Expiry Date', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "expiry-date" => [
                                        "order"      => 10,
                                        "label"      => __( 'Expiry Date', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "expiry-date" => [
                                                        "description" => __( "Expiry Date. ", 'wp-import-export' ),
                                                        "name"        => "fields/standard/expiry-date/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'All date formats are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
