<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class ExcludeProducts {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Exclude products', 'wp-import-export' ),
                        "desc"   => __( 'Exclude products', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "exclude_products" => [
                                        "order"      => 10,
                                        "label"      => __( 'Exclude products', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "exclude_products" => [
                                                        "description" => __( "Set the products this coupon cannot be used with", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/exclude_products/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Enter Product title or slug or sku or description', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                                [ 'text' => __( 'multiple Products are separated by comma', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator"        => [
                                                        "description" => __( 'Multiple products are separated by', 'wp-import-export' ),
                                                        "name"        => "fields/restriction/exclude_products/separator",
                                                        "type"        => "textarea",
                                                        "value"       => "||",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default: ||', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
