<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Shipping {

        
        public static function update() {

                if ( self::copyBilling() ) {
                        return;
                }

                if ( DataCenter::canUpdate( "shipping/first-name" ) ) {
                        DataCenter::getItem()->set_shipping_first_name( DataCenter::get( "shipping/first-name/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/last-name" ) ) {
                        DataCenter::getItem()->set_shipping_last_name( DataCenter::get( "shipping/last-name/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/company" ) ) {
                        DataCenter::getItem()->set_shipping_company( DataCenter::get( "shipping/company/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/address-1" ) ) {
                        DataCenter::getItem()->set_shipping_address_1( DataCenter::get( "shipping/address-1/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/address-2" ) ) {
                        DataCenter::getItem()->set_shipping_address_2( DataCenter::get( "shipping/address-2/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/city" ) ) {
                        DataCenter::getItem()->set_shipping_city( DataCenter::get( "shipping/city/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/postcode" ) ) {
                        DataCenter::getItem()->set_shipping_postcode( DataCenter::get( "shipping/postcode/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/country" ) ) {
                        DataCenter::getItem()->set_shipping_country( DataCenter::get( "shipping/country/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/state" ) ) {
                        DataCenter::getItem()->set_shipping_state( DataCenter::get( "shipping/state/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/phone" ) && method_exists( DataCenter::getItem(), 'set_shipping_phone' ) ) {
                        DataCenter::getItem()->set_shipping_phone( DataCenter::get( "shipping/phone/data" ) );
                }
        }

        
        public static function copyBilling() {

                $copyBilling = DataCenter::get( "shipping/copy-billing/data" );

                if ( 1 !== \absint( $copyBilling ) ) {
                        return false;
                }

                DataCenter::getItem()->set_shipping( DataCenter::getItem()->get_address() );

                return true;
        }
}
