<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Billing;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class State {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'State', 'wp-import-export' ),
                        "desc"   => __( 'State', 'wp-import-export' ),
                        "order"  => 90,
                        "fields" => [
                                "state" => [
                                        "order"      => 5,
                                        "label"      => __( 'State', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "state" => [
                                                        "description" => __( 'State', 'wp-import-export' ),
                                                        "name"        => "fields/billing/state/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
