<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class AccessGranted {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Access Granted', 'wp-import-export' ),
                        "desc"   => __( 'Access granted date', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "access-granted" => [
                                        "order"      => 5,
                                        "label"      => __( 'Access granted date', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "access-granted" => [
                                                        "description" => __( 'Access granted date', 'wp-import-export' ),
                                                        "name"        => "fields/download/access-granted/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator"      => [
                                                        "description" => __( 'Multiple Access granted dates separated by', 'wp-import-export' ),
                                                        "name"        => "fields/download/access-granted/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
