<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Remaining {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Downloads remaining', 'wp-import-export' ),
                        "desc"          => __( 'Downloads remaining', 'wp-import-export' ),
                        "order"         => 30,
                        "fields"        => [
                                "remaining" => [
                                        "order"      => 5,
                                        "label"      => __( 'Downloads remaining', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "remaining"   => [
                                                        "description" => __( 'Downloads remaining', 'wp-import-export' ),
                                                        "name"        => "fields/download/remaining/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple Downloads remaining separated by', 'wp-import-export' ),
                                                        "name"        => "fields/download/remaining/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : |', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
