<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Date {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Date', 'wp-import-export' ),
                        "desc"   => __( 'Date', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "date" => [
                                        "order"      => 5,
                                        "label"      => __( 'Date', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "date"      => [
                                                        "description" => __( 'Date', 'wp-import-export' ),
                                                        "name"        => "fields/note/date/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple notes date separated by', 'wp-import-export' ),
                                                        "name"        => "fields/note/date/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : |', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
