<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Gallery {

        
        public static function get() {

                if ( !DataCenter::canUpdate( "images/source" ) ) {
                        return [];
                }


                $data = [];

                $images = \get_post_meta( DataCenter::getId(), 'wpie_image_gallery', true );

                $data[ 'gallery_image_ids' ] = Helper::isNonEmptyStr( $images ) ? Helper::strToArr( $images ) : '';

                return $data;
        }

}
