<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\LinkedProducts;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class UpSells {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Upsells', 'wp-import-export' ),
                        "desc"     => __( 'Upsells Products', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "upsells" => [
                                        "order"      => 10,
                                        "label"      => __( 'Upsells Products', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "upsells"   => [
                                                        "description" => __( 'Products matched by SKU, ID, Content, Slug or Title', 'wp-import-export' ),
                                                        "name"        => "fields/linked-products/upsells/data",
                                                        "type"        => "textarea",
                                                        "order"       => 10,
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple Upsells sells Products separated by', 'wp-import-export' ),
                                                        "name"        => "fields/linked-products/upsells/separator",
                                                        "type"        => "text",
                                                        "value"       => "|~|",
                                                        "order"       => 20,
                                                        "hint"        => [
                                                                [ "text" => __( 'Default: |~|', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
