<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Price;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Regular {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Regular Price', 'wp-import-export' ),
                        "desc"          => __( 'Product Regular Price', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "item-title" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Regular Price', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "title" => [
                                                        "description" => __( 'Product Regular Price', 'wp-import-export' ),
                                                        "name"        => "fields/price/regular/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
