<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Rating {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Rating', 'wp-import-export' ),
                        "desc"          => __( 'Review Rating', 'wp-import-export' ),
                        "order"         => 15,
                        "isRecommended" => true,
                        "fields"        => [
                                "rating" => [
                                        "order"      => 10,
                                        "label"      => __( 'Review Rating', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "rating" => [
                                                        "description" => __( "Review Rating. Number of stars, 1 to 5", 'wp-import-export' ),
                                                        "name"        => "fields/standard/rating/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
