<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect {

        
        public static function processField( $field = '' ) {

                static::updateWpml( $field );
        }

        
        protected static function updateWpml( $field = "" ) {

                $fields = [
                        'wpmllanguage'            => 'language',
                        'polylanglanguage'        => 'language',
                        'wpmlalltranslations'     => 'translations',
                        'polylangalltranslations' => 'translations',
                        'attributetranslatable'   => 'is-translatable',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'wpml/' . $fields[ $field ], $field );
        }
}
