<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class NoIndex {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Robots No Index', 'wp-import-export' ),
                        "desc"     => __( 'Robots No Index', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "noindex" => [
                                        "order"      => 5,
                                        "label"      => __( 'Robots No Index', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "noindex" => [
                                                        "description"   => __( "Robots No Index", 'wp-import-export' ),
                                                        "name"          => "fields/yoastseo/advanced/noindex/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "0"            => __( "Yes ( current default )", 'wp-import-export' ),
                                                                "1"            => __( "No", 'wp-import-export' ),
                                                                "2"            => __( "Yes", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "0"            => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "hint"          => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : Yes ( current default )', 'wp-import-export' ) ],
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "noindex-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "noindex" => [
                                                                                                "name"  => "fields/yoastseo/advanced/noindex/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
