<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class TwitterImage {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Twitter Image', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Image', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "twitter-image" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter Image', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "twitter-image" => [
                                                        "description" => __( "Twitter Image", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/social/twitter_image/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Enter Image URL', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Example: http://www.example.com/twitter.jpg', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
