<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class SeoAnalysis
{

    
    public static function getBlocks ()
    {

        return [
                "title"  => __( 'SEO Analysis' , 'wp-import-export' ) ,
                "desc"   => __( 'SEO Analysis' , 'wp-import-export' ) ,
                "order"  => 20 ,
                "fields" => [
                        "seoanalysis" => [
                                "order"      => 5 ,
                                "label"      => __( 'Disable SEO Analysis' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "seoanalysis" => [
                                                "description"   => __( "Disable SEO Analysis" , 'wp-import-export' ) ,
                                                "name"          => "fields/yoastseo/general/seoanalysis/data" ,
                                                "type"          => "radio" ,
                                                "default"       => "as_specified" ,
                                                "choices"       => [
                                                        "off"          => __( "Off" , 'wp-import-export' ) ,
                                                        "on"           => __( "On" , 'wp-import-export' ) ,
                                                        "as_specified" => __( "As specified" , 'wp-import-export' )
                                                ] ,
                                                "choices-class" => [
                                                        "off"          => "bse-form-check-success" ,
                                                        "as_specified" => "bse-form-check-primary"
                                                ] ,
                                                "hint"          => [
                                                        [ 'text' => __( 'Optional' , 'wp-import-export' ) ] ,
                                                        [ 'text' => __( 'Default : off' , 'wp-import-export' ) ] ,
                                                        [ 'text' => __( 'on, off, yes, no, true, false, 1, 0 values are supported' , 'wp-import-export' ) ] ,
                                                ] ,
                                                "fields"        => [
                                                        "as_specified" => [
                                                                "seoanalysis-as-specified" => [
                                                                        "order"      => 5 ,
                                                                        "sub-fields" => [
                                                                                "seoanalysis" => [
                                                                                        "name"  => "fields/yoastseo/general/seoanalysis/data_as_specified" ,
                                                                                        "class" => "" ,
                                                                                        "order" => 5 ,
                                                                                        "type"  => "text" ,
                                                                                ]
                                                                        ]
                                                                ]
                                                        ]
                                                ] ,
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }
}
