<?php




namespace WpieApp\Modules\Export\Controller\Items\Base\Fields;

defined( 'WPIE__FILE__' ) || exit;


class Image {

        
        const FIELD_TYPE = "image";

        
        public static function getFields() {

                return [
                        "title"      => __( "Images", 'wp-import-export' ),
                        "priority"      => 30,
                        "isFiltered" => false,
                        "data"       => [
                                [ 'label' => 'Image URL', 'type' => self::FIELD_TYPE, 'element' => 'url' ],
                                [ 'label' => 'Images Filename', 'type' => self::FIELD_TYPE, 'element' => 'filename' ],
                                [ 'label' => 'Images Path', 'type' => self::FIELD_TYPE, 'element' => 'path' ],
                                [ 'label' => 'Images ID', 'type' => self::FIELD_TYPE, 'element' => 'id' ],
                                [ 'label' => 'Images Title', 'type' => self::FIELD_TYPE, 'element' => 'title' ],
                                [ 'label' => 'Images Caption', 'type' => self::FIELD_TYPE, 'element' => 'caption' ],
                                [ 'label' => 'Images Description', 'type' => self::FIELD_TYPE, 'element' => 'description' ],
                                [ 'label' => 'Images Alt Text', 'type' => self::FIELD_TYPE, 'element' => 'alt' ]
                        ]
                ];
        }

}
