<?php



namespace WpieApp\Modules\Export\Controller\Items\Base;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Field;
use WpieApp\Modules\Export\Controller\Items\Manager as Items;

defined( 'WPIE__FILE__' ) || exit;


class ImportConfig {

        
        protected static $data = [];

        
        public static function init() {

                self::$data = [
                        "content_type" => Settings::get( 'content_type' ),
                        "category"     => Settings::get( 'category' ),
                        "user"         => Settings::get( 'user' ),
                        "site_url"     => \site_url(),
                        "fields"       => Items::get( 'fields' ),
                        "file"         => Settings::get( 'file' ),
                ];
        }
}
