<?php



namespace WpieApp\Modules\Import\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Core\Logger\Logger as BaseLogger;

defined( 'WPIE__FILE__' ) || exit;


class Logger extends BaseLogger {

        
        protected static $handle = null;

        
        public static function init() {

                if ( static::$handle !== null ) {
                        return;
                }
                if ( false === Settings::getCurrentDir( 'log' ) ) {
                        return;
                }

                static::$handle = self::register( __( 'WP Import Export', 'wp-import-export' ), Settings::getLogFilePath() );
        }

}
