<?php




namespace WpieApp\Core\Helpers;

defined( 'WPIE__FILE__' ) || exit;


trait Options {

        
        public static function getOption( $option, $default = false ) {
                return \get_option( Helper::PLUGIN_PREFIX . $option, $default );
        }

        
        public static function setOption( $option, $value, $autoload = null ) {
                return \update_option( Helper::PLUGIN_PREFIX . $option, $value, $autoload );
        }

        
        public static function deleteOption( $option ) {
                return \delete_option( Helper::PLUGIN_PREFIX . $option );
        }

}
