<?php

defined( 'WPIE__FILE__' ) || exit;

if ( !function_exists( "get_user_locale" ) ) {

        
        function get_user_locale( $user = 0 ) {
                $user_object = false;

                if ( 0 === $user && function_exists( 'wp_get_current_user' ) ) {
                        $user_object = wp_get_current_user();
                } elseif ( $user instanceof WP_User ) {
                        $user_object = $user;
                } elseif ( $user && is_numeric( $user ) ) {
                        $user_object = get_user_by( 'id', $user );
                }

                if ( !$user_object ) {
                        return get_locale();
                }

                $locale = $user_object->locale;

                return $locale ? $locale : get_locale();
        }

}
