<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Post\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Export\Acf\Controller\Items\Base\DataCenters\Acf as BaseAcf;

defined( 'WPIE__FILE__' ) || exit;


class Acf extends BaseAcf {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $id = DataCenter::getId();

                $key = DataCenter::getFieldOption( "name" );

                return parent::getData( $element, $id, $key );
        }

}
