<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Usage implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => esc_html__( "Usage", 'wp-import-export' ),
                        "priority" => 15,
                        "data"     => [
                                [ 'label' => 'Used By ', 'type' => PostMeta::FIELD_TYPE, 'element' => '_used_by', 'isFiltered' => false ],
                                [ 'label' => 'Usage Count', 'type' => PostMeta::FIELD_TYPE, 'element' => 'usage_count' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Coupon/Fields/Usage', $fields );
        }

}
