<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post;

use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\General;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\Facebook;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\Twitter;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\Advanced;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {
                \add_filter( 'Wpie/Import/Base/Fields', [ __CLASS__, 'get' ], 10, 2 );
        }

        
        public static function get( $fields = [], $contentType = '' ) {

                $fields[ "allinoneseo-general" ] = General::get();

                $fields[ "allinoneseo-facebook" ] = Facebook::get();

                $fields[ "allinoneseo-twitter" ] = Twitter::get();

                $fields[ "allinoneseo-schema" ] = Schema::get();

                $fields[ "allinoneseo-advanced" ] = Advanced::get();

                return $fields;
        }
}
