<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Date;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Slug;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Status;

defined( 'WPIE__FILE__' ) || exit;


class PostGeneral implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Post General', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 35,
                        "blocks" => [
                                "standard/post_status" => Status::getBlocks(),
                                "standard/date"        => Date::getBlocks(),
                                "standard/slug"        => Slug::getBlocks(),
                        ]
                ];
        }
}
