<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class AllowFreeShipping {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Allow Free Shipping', 'wp-import-export' ),
                        "desc"   => __( 'Allow Free Shipping', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "allow-free-shipping" => [
                                        "order"      => 10,
                                        "label"      => __( 'Allow Free Shipping ( optional )', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "allow-free-shipping" => [
                                                        "description" => __( "Set if this coupon enables free shipping or not.", 'wp-import-export' ),
                                                        "name"        => "fields/standard/allow-free-shipping/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
