<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        protected static $data = [];

        
        protected static $item;

        
        public static function set( $data = [] ) {

                if ( !Helper::isNonEmptyArray( array_values( $data ) ) ) {
                        return;
                }

                static::$data = $data;

                static::$item = null;

                static::setItem();

                static::processItem();

                return static::update();
        }

        
        protected static function processItem() {
                
        }

        
        protected static function setItem() {
                
        }

        
        protected static function update() {
                return 0;
        }
}
