<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Status {

        
        public static function getBlocks() {

                $statuses = \wc_get_order_statuses();

                $statuses[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"         => __( 'Status', 'wp-import-export' ),
                        "desc"          => __( 'Order status', 'wp-import-export' ),
                        "order"         => 40,
                        "isRecommended" => true,
                        "fields"        => [
                                "item-status" => [
                                        "order"      => 5,
                                        "label"      => __( 'Order Status', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "status" => [
                                                        "description"   => __( 'Order Status', 'wp-import-export' ),
                                                        "name"          => "fields/standard/status/data",
                                                        "type"          => "radio",
                                                        "default"       => "",
                                                        "choices"       => $statuses,
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Status specified by you', 'wp-import-export' ),
                                                        ],
                                                        "hint"          => [ [ "text" => __( 'Recommended', 'wp-import-export' ) ] ],
                                                        "choices-class" => [
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "post_status-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above statuses are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/standard/status/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "text",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
