<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Content {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Description', 'wp-import-export' ),
                        "desc"          => __( 'Product Description', 'wp-import-export' ),
                        "isRecommended" => true,
                        "order"         => 15,
                        "fields"        => [
                                "item-content" => [
                                        "order"      => 10,
                                        "label"      => __( 'Description', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "content" => [
                                                        "description" => __( 'Product Description', 'wp-import-export' ),
                                                        "name"        => "fields/standard/content/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                                "content"      => [
                                        "order"      => 20,
                                        "label"      => __( 'Product Description Images', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "settings" => [
                                                        "description" => __( 'Search image through Product Description and import images wrapped in <img> tags', 'wp-import-export' ),
                                                        "name"        => "fields/standard/content/images",
                                                        "type"        => "checkbox",
                                                        "default"     => [ "1" ],
                                                        "choices"     => [ "1" => __( "Download Image", 'wp-import-export' ) ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
