<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Variation;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Enabled {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Variation Enabled', 'wp-import-export' ),
                        "desc"   => __( 'Variation Enabled', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "enabled" => [
                                        "order"      => 10,
                                        "label"      => __( 'Variation Enabled', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "enabled" => [
                                                        "description" => __( 'Note : Please do not disable this setting. For product variation only.', 'wp-import-export' ),
                                                        "name"        => "fields/variation/enabled",
                                                        "is-switch"   => true,
                                                        "type"        => "checkbox",
                                                        "default"     => [ '1' ],
                                                        "choices"     => [
                                                                "1" => __( "Variation Enabled?", 'wp-import-export' ),
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
