<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Fields\Translation;

defined( 'WPIE__FILE__' ) || exit;


class IsTranslatable {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Is attribute translatable?', 'wp-import-export' ),
                        "desc"          => __( 'Is attribute translatable?', 'wp-import-export' ),
                        "order"         => 30,
                        "isRecommended" => true,
                        "fields"        => [
                                "languages" => [
                                        "order"      => 5,
                                        "label"      => __( 'Is attribute translatable?', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "as-specified" => [
                                                        "description" => __( 'Is attribute translatable?', 'wp-import-export' ),
                                                        "name"        => "fields/wpml/is-translatable/data",
                                                        "class"       => "",
                                                        "order"       => 10,
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }
}
