<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Slug {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"  => __( 'Slug', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"   => sprintf( __( '%s slug', 'wp-import-export' ), $contentType ),
                        "order"  => 25,
                        "fields" => [
                                "item-slug" => [
                                        "order"      => 5,
                                        "label"      => __( 'Slug', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "slug" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s slug', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/slug/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : Auto created', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
